Subject: bug#78752: 31.0.50; New tex-mode prettify-symbols-mode rule causes visual regression

From: Eli Zaretskii <[email-masked]>
Date: Wed, 11 Jun 2025 15:42:20 +0300

> Cc: [email-masked], Tassilo Horn <[email-masked]>
> From: "Paul D. Nelson" <[email-masked]>
> Date: Wed, 11 Jun 2025 09:24:07 +0200
> 
> Tony Zorman <[email-masked]> writes:
> 
> >> ef6203b64aaf was my attempt to share the less controversial
> >> prettifications accumulated in my config, but I'm happy to "unshare"
> >> this one (attached patch) if it's causing false positives.
> >
> > I would personally prefer this, but can also obviously adjust my own
> > config if needed
> 
> It's easier for users to add entries than to delete them, so I think
> we're in agreement that the entry should be removed like in my patch.
> 
> > (this change certainly isn't as bad as the long established
> > replacement of showing '\newline' as LINE SEPARATOR, making it
> > essentially invisible by default).
> 
> I guess I haven't run into TeX \newline's often enough to notice this,
> but it's invisible for me, too.  @Tassilo: any thoughts on this one?

The change seems like a no-brainer to me, but let's wait for Tassilo
to chime in.